Skip to main content
GET
cURL
Related guide: Batches guide. See the Batches guide for the filters and the status values.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int64>

Maximum number of batches to return, 1 to 100. Defaults to 20.

after
string

Cursor: return batches after this batch id.

before
string

Cursor: return batches before this batch id. Cannot be combined with after.

Free-text match on the batch id.

status
string

Comma-separated statuses to include: validating, in_progress, finalizing, completed, failed, expired, cancelling, cancelled.

endpoint
string

Comma-separated endpoints to include: /v1/responses, /v1/chat/completions, /v1/embeddings, /v1/completions, /v1/moderations, /v3/router/decisions.

Response

Batches listed (empty array if none).

data
object[] | null
required

Batches on the current page.

has_more
boolean
required

Whether further batches exist beyond this page.

object
string
required

Object type, always list.

first_id
string

ID of the first batch on the page.

last_id
string

ID of the last batch on the page.